Creates a new client. Required: clientName, agencyId. Name-based fields (state, city, mailingState, mailingCity) are resolved to IDs via master data lookup. If parentClientId is provided, the parent must belong to the same agency.
Security
BearerAuth and ApiKeyAuth
- Mock serverhttps://docs.meshvi.com/_mock/apis/meshvi/v1/clients
- Staging (UAT)https://uat-verified.meshvi.com/v1/clients
curl -i -X POST \
https://docs.meshvi.com/_mock/apis/meshvi/v1/clients \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'apiKey: YOUR_API_KEY_HERE' \
-d '{
"clientName": "Acme Trucking",
"agencyId": 1,
"producerId": 0,
"parentClientId": 0,
"clientType": "string",
"dot": "string",
"dbaName": "string",
"description": "string",
"userEmail": "string",
"address1": "string",
"state": "Tennessee",
"city": "Nashville",
"zip": "string",
"mailingAddress1": "string",
"mailingState": "string",
"mailingCity": "string",
"mailingZip": "string",
"yearsInBusiness": 0,
"taxId": "string",
"clientAdditionalDetails": {}
}'